{% extends 'base.html' %}

{% block content %}
{% autoescape false %}
<section class="gn-main-content">
    <div class="fr-tabs">
        <ul class="fr-tabs__list" role="tablist" aria-label="Administration plateforme de communication multicanal">
            <li role="presentation">
                <button id="collectivites-list-tab" class="fr-tabs__tab" tabindex="0" role="tab" aria-selected="true" aria-controls="collectivites-list"><em class="fas fa-stream fr-mr-1w"></em>Liste g&eacute;n&eacute;rale des collectivit&eacute;s</button>
            </li>
            <li role="presentation">
                <button id="count-tab" class="fr-tabs__tab" tabindex="-1" role="tab" aria-selected="false" aria-controls="count"><em class="fas fa-sort-amount-up-alt fr-mr-1w"></em>D&eacute;compte</button>
            </li>
        </ul>
        <div id="collectivites-list" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="collectivites-list-tab" tabindex="0">
            {% include 'my-organization-tab.html' %}
        </div>
        <div id="count" class="fr-tabs__panel" role="tabpanel" aria-labelledby="count-tab" tabindex="0">
            {% include 'count-tab.html' %}
        </div>
    </div>
</section>

{% endautoescape %}
{% endblock %}

{% block script %}

{% include '/scripts/bootstrap-table-imports.html' %}
{% include '/scripts/bootstrap-table-organizations.html' %}

<script type="text/javascript">
    var csrfName = '{{ csrf.name }}';
    var csrfValue = '{{ csrf.value }}';

    function ajaxRequestCount(params) {
        $.ajax({
            url: '/action/ajax/count',
            method: 'post',
            data: {
                'csrf_name': csrfName,
                'csrf_value': csrfValue
            },
            success: function (data) {
                params.success({
                    'rows': data.rows,
                    'total': data.total
                })
            },
            error: function (er) {
                params.error(er);
            }
        });
    }

    function loadingTemplateCount(message) {
        return '<div class="text-center">Chargement du d&eacute;compte en cours...<br /><div class="spinner-border mt-2" role="status"></div></div>'
    }

</script>
{% endblock %}
